package jj.tech.paolu.biz.webadmin.vo;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;

public class AddAdminRoleMenuVo {
    @NotBlank
    @Schema(description = "角色id")
    private String role_id;

    @NotEmpty
    @Schema(description = "菜单ids")
    private List<String> menu_ids;

    public String getRole_id() {
        return role_id;
    }

    public void setRole_id(String role_id) {
        this.role_id = role_id;
    }

    public List<String> getMenu_ids() {
        return menu_ids;
    }

    public void setMenu_ids(List<String> menu_ids) {
        this.menu_ids = menu_ids;
    }
}
